# Uses of Interface
org.eclipse.mat.inspections.osgi.model.IBundleReader

Packages that use IBundleReader
Package
Description
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.

## Uses of IBundleReader in org.eclipse.mat.inspections.osgi.model

Classes in org.eclipse.mat.inspections.osgi.model that implement IBundleReader
Modifier and Type
Class
Description
`class`
`EquinoxBundleReader`
`class`
`EquinoxBundleReader2`
Methods in org.eclipse.mat.inspections.osgi.model that return IBundleReader
Modifier and Type
Method
Description
`static IBundleReader`
BundleReaderFactory.`getBundleReader(ISnapshot snapshot)`
Check for the type of framework and return corresponding IBundleReader
Constructors in org.eclipse.mat.inspections.osgi.model with parameters of type IBundleReader
Modifier
Constructor
Description
``
`OSGiModel(IBundleReader bundleReader, List<BundleDescriptor> bundleDescriptors, List<Service> services, List<ExtensionPoint> extensionPoints)`